/*
    Pezzonoid - An implementation of the classic Arkanoid using the Allegro
    library (version 4) and the Allegro Wrapper
    Copyright (C) 2013, Fabio Pezzo

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "bar.h"

Bar::Bar() : Sprite ("bar.bmp",Point(230,450))//, x(230),y(450)
{}

Bar::~Bar()
{}


void Bar::onTick() {
    if(Allegro::getInstance()->getKeyboard().isKeyPressed(KEY_LEFT)) {
      x = getLeftTopCorner().getX();
      y = getLeftTopCorner().getY();
      setLeftTopCorner(Point(x-5, y));
    }
    if(Allegro::getInstance()->getKeyboard().isKeyPressed(KEY_RIGHT))
    {
      x = getLeftTopCorner().getX();
      y = getLeftTopCorner().getY();
      setLeftTopCorner(Point(x+5, y));
    }
   if (Allegro::getInstance()->getKeyboard().isKeyPressed(KEY_LEFT) && getLeftTopCorner().getX()-5 < 0 )
    {
      int x = getLeftTopCorner().getX();
      setLeftTopCorner(Point(getLeftTopCorner()).incrementX(-x));
    //  setLeftTopCorner(Point(x-5, y));
    }
    if (Allegro::getInstance()->getKeyboard().isKeyPressed(KEY_RIGHT) && (getLeftTopCorner().getX()+5+getWidth()) > 640 )
    {
      int x = getLeftTopCorner().getX()+getWidth();
      //int y = getLeftTopCorner().getY();
      setLeftTopCorner(Point(getLeftTopCorner()).incrementX(640-x));
    }


}

/*void Bar::onKeyPressed(const Keyboard& keyboard, int keyCode)
{

   if (keyboard.isKeyPressed(KEY_LEFT) && getLeftTopCorner().getX()-5 < 0 )
    {
      int x = getLeftTopCorner().getX();
      setLeftTopCorner(Point(getLeftTopCorner()).incrementX(-x));
    //  setLeftTopCorner(Point(x-5, y));
    }


    if (keyboard.isKeyPressed(KEY_RIGHT) && getLeftTopCorner().getX()+5 > 640 )
    {
      int x = getLeftTopCorner().getX();
      int y = getLeftTopCorner().getY();
      setLeftTopCorner(Point( (640-x), y));
    }
}*/

